=== debian/changelog ===
ros-image-common (1.11.10-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: disable -pie from the hardening buildflags.
    Fix FTBFS in several architectures.  Closes: #818715
    This was caused by a latent bug triggerend by my cleanup in the last upload.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 20 Mar 2016 16:16:08 +0000

ros-image-common (1.11.10-4) unstable; urgency=medium

  * Team upload.
  * debian/rules: remove useless included file
  * Add appropriate Breaks/Replaces after moving files in the previous between
    binaries in the previous uploads.  Closes: #817813

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 18 Mar 2016 20:13:31 +0000

ros-image-common (1.11.10-3) unstable; urgency=medium

  * Added camera-calibration-parsers-tools
  * Moved binaries to camera-calibration-parsers-tools (Closes: #815874)
  * Some lintian warnings
  * Updated Vcs-Browser and Vcs-Git fields
  * Moved usr/lib/polled_camera/poller to polled-camera-tool package
  * Added hardening options
  * Bump Standards-Version to 3.9.7 (no changes)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 01 Mar 2016 10:38:20 +0100

ros-image-common (1.11.10-2) unstable; urgency=medium

  * Move libimage_transport_plugins.so to libimage-transport0d
  * Adopt to new libexec location in catkin (Closes: #815218)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 21 Feb 2016 12:41:07 +0100

ros-image-common (1.11.10-1) unstable; urgency=medium

  * Add python-camera-calibration-parsers
  * Imported Upstream version 1.11.10
  * Update patches

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 19 Jan 2016 23:06:33 +0100

ros-image-common (1.11.8-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:10:08 +0100

ros-image-common (1.11.8-1) unstable; urgency=medium

  * Initial release (Closes: #805331)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 26 Dec 2015 00:29:10 +0000
