=== debian/control ===
Source: ros-image-common
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libsensor-msgs-dev, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp0.3-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, librostest-dev, python-all, dh-python
Standards-Version: 3.9.7
Section: libs
Homepage: http://www.ros.org/wiki/image_common
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-image-common.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-image-common.git

Package: libcamera-calibration-parsers-dev
Section: libdevel
Architecture: any
Depends: libcamera-calibration-parsers0d (= ${binary:Version}), ${misc:Depends}, libsensor-msgs-dev, librosconsole-dev, libboost-filesystem-dev
Description: Robot OS camera_calibration_parsers package - development
 This package is part of Robot OS (ROS). It contains C++ headers for
 reading and writing camera calibration parameters.

Package: libcamera-calibration-parsers0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS camera_calibration_parsers package
 This package is part of Robot OS (ROS). The package provides 
 the library with routines for reading and writing camera 
 calibration parameters.

Package: camera-calibration-parsers-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcamera-calibration-parsers0d (<< 1.11.10-3)
Conflicts: libcamera-calibration-parsers0d (<< 1.11.10-3)
Description: Robot OS camera_calibration_parsers_tools package
 This package is part of Robot OS (ROS). It provides tools for
 reading and writing camera calibration parameters.
  .
 They are executables that use libcamera-calibration-parsers.

Package: python-camera-calibration-parsers
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS camera_calibration_parsers Python package
 This package is part of Robot OS (ROS). It provides routines for
 reading and writing camera calibration parameters.
 .
 This package contains the Python wrapper.

Package: libcamera-info-manager-dev
Section: libdevel
Architecture: any
Depends: libcamera-info-manager0d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, libsensor-msgs-dev, libcamera-calibration-parsers-dev, libimage-transport-dev, libroslib-dev
Description: Robot OS camera_info_manager package - development
 This package is part of Robot OS (ROS). It provides C++ header files
 for camera calibration information: CameraInfo, SetCameraInfo service
 requests, saving and restoring the camera calibration data.

Package: libcamera-info-manager0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS camera_info_manager package
 This package is part of Robot OS (ROS). It provides a C++ interface
 for camera calibration information: CameraInfo, SetCameraInfo service
 requests, saving and restoring the camera calibration data.

Package: libimage-transport-dev
Section: libdevel
Architecture: any
Depends: libimage-transport0d (= ${binary:Version}), ${misc:Depends}, libmessage-filters-dev, pluginlib-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, libsensor-msgs-dev
Description: Robot OS image_transport package - development
 This package is part of Robot OS (ROS). It contains the C++ header
 files for the image_transport transport library which should always
 be used to subscribe to and publish images. It provides transparent
 support for transporting images in low-bandwidth compressed
 formats. Examples (provided by separate plugin packages) include
 JPEG/PNG compression and Theora streaming video.

Package: libimage-transport0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: image-transport-tools (<< 1.11.10-2)
Replaces: image-transport-tools (<< 1.11.10-2)
Multi-Arch: same
Description: Robot OS image_transport package
 This package is part of Robot OS (ROS). This library should always be
 used to subscribe to and publish images. It (image_transport)
 provides transparent support for transporting images in low-bandwidth
 compressed formats. Examples (provided by separate plugin packages)
 include JPEG/PNG compression and Theora streaming video.

Package: image-transport-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Robot OS image_transport package tools
 This package is part of Robot OS (ROS). This library should always be
 used to subscribe to and publish images. It (image_transport)
 provides transparent support for transporting images in low-bandwidth
 compressed formats. Examples (provided by separate plugin packages)
 include JPEG/PNG compression and Theora streaming video.
 .
 This package provides the tools list_transports and republish.

Package: libpolled-camera-dev
Section: libdevel
Architecture: any
Depends: libpolled-camera0d (= ${binary:Version}), ${misc:Depends}, ros-message-generation, libroscpp-dev, libsensor-msgs-dev, libimage-transport-dev, librosconsole-dev
Description: Robot OS polled_camera package - development
 This package is part of Robot OS (ROS). It contains the C++ header
 files for implementing a polled camera driver node and requesting
 images from it. The package is currently for internal use as the API
 is still under development.

Package: libpolled-camera0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS polled_camera package
 This package is part of Robot OS (ROS). It contains a service and C++
 helper classes for implementing a polled camera driver node and
 requesting images from it. The package is currently for internal use
 as the API is still under development.

Package: polled-camera-tool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Robot OS polled_camera package tool
 This package is part of Robot OS (ROS). It contains an executable
 implementing a polled camera driver node and to request images from it. 
 The package is currently for internal use as the API is still under 
 development.

Package: python-polled-camera
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Robot OS polled_camera package - Python
 This package is part of Robot OS (ROS). It contains a Python package
 for implementing a polled camera driver node and requesting images
 from it. The package is currently for internal use as the API is
 still under development.

Package: cl-polled-camera
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: Robot OS polled_camera package - LISP
 This package is part of Robot OS (ROS). It contains a LISP interface
 for implementing a polled camera driver node and requesting images
 from it. The package is currently for internal use as the API is
 still under development.
