=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

%:
	dh $@ --parallel --with=python2 --buildsystem=cmake

get-orig-source:
	uscan --verbose --force-download --repack --compress xz
