=== debian/changelog ===
ros-image-common (1.11.11-3) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Update policy and debhelper versions
  * Remove -pie from hardening.
    Thanks to Adrian Bunk (Closes: #865739)
  * Update watch file
  * Remove parallel (Default for debhelper 10)
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Update policy and debhelper versions
  * Add missing dependency (Closes: #896398)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 21 Apr 2018 09:47:36 +0200

ros-image-common (1.11.11-2) unstable; urgency=medium

  * Move package.xml to lib for plugin export line

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Dec 2016 10:41:38 +0100

ros-image-common (1.11.11-1) unstable; urgency=medium

  * New upstream version 1.11.11

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Sep 2016 09:43:49 +0200

ros-image-common (1.11.10-6) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Add missing build dependencies (Closes: #835689)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Aug 2016 22:51:40 +0200
