=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libsensor-msgs-dev, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp0.3-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, librostest-dev, python-all, dh-python
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 11), catkin, libsensor-msgs-dev, ros-sensor-msgs, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp0.3-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, ros-std-msgs, librostest-dev, python-all, dh-python
+Standards-Version: 4.1.4
 Section: libs
-Homepage: http://www.ros.org/wiki/image_common
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-image-common.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-image-common.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/image_common
+Vcs-Browser: https://salsa.debian.org/science-team/ros-image-common
+Vcs-Git: https://salsa.debian.org/science-team/ros-image-common.git
 
 Package: libcamera-calibration-parsers-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libcamera-calibration-parsers0d (= ${binary:Version}), ${misc:Depends}, libsensor-msgs-dev, librosconsole-dev, libboost-filesystem-dev
 Description: Robot OS camera_calibration_parsers package - development
  This package is part of Robot OS (ROS). It contains C++ headers for
@@ -31,8 +33,6 @@
 Package: camera-calibration-parsers-tools
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libcamera-calibration-parsers0d (<< 1.11.10-3)
-Conflicts: libcamera-calibration-parsers0d (<< 1.11.10-3)
 Description: Robot OS camera_calibration_parsers_tools package
  This package is part of Robot OS (ROS). It provides tools for
  reading and writing camera calibration parameters.
@@ -42,7 +42,7 @@
 Package: python-camera-calibration-parsers
 Section: python
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-sensor-msgs
 Description: Robot OS camera_calibration_parsers Python package
  This package is part of Robot OS (ROS). It provides routines for
  reading and writing camera calibration parameters.
@@ -52,6 +52,7 @@
 Package: libcamera-info-manager-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libcamera-info-manager0d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, libsensor-msgs-dev, libcamera-calibration-parsers-dev, libimage-transport-dev, libroslib-dev
 Description: Robot OS camera_info_manager package - development
  This package is part of Robot OS (ROS). It provides C++ header files
@@ -70,6 +71,7 @@
 Package: libimage-transport-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libimage-transport0d (= ${binary:Version}), ${misc:Depends}, libmessage-filters-dev, pluginlib-dev, librosconsole-dev, libroscpp-dev, libroslib-dev, libsensor-msgs-dev
 Description: Robot OS image_transport package - development
  This package is part of Robot OS (ROS). It contains the C++ header
@@ -82,8 +84,6 @@
 Package: libimage-transport0d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: image-transport-tools (<< 1.11.10-2)
-Replaces: image-transport-tools (<< 1.11.10-2)
 Multi-Arch: same
 Description: Robot OS image_transport package
  This package is part of Robot OS (ROS). This library should always be
@@ -107,6 +107,7 @@
 Package: libpolled-camera-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libpolled-camera0d (= ${binary:Version}), ${misc:Depends}, ros-message-generation, libroscpp-dev, libsensor-msgs-dev, libimage-transport-dev, librosconsole-dev
 Description: Robot OS polled_camera package - development
  This package is part of Robot OS (ROS). It contains the C++ header
@@ -146,6 +147,7 @@
 Package: cl-polled-camera
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Robot OS polled_camera package - LISP
  This package is part of Robot OS (ROS). It contains a LISP interface
