=== debian/watch ===
--- 
+++ 
@@ -1,3 +1,7 @@
+version=4
+opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-image-common-$1.tar.gz%" \
+    https://github.com/ros-perception/image_common/tags \
+    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
 # Watch control file for uscan
 # Compulsory line, this is a version 3 file
 version=3
