## ros-image-common 1.11.13

=== camera_calibration_parsers/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,12 @@
 
 find_package(catkin REQUIRED sensor_msgs rosconsole roscpp roscpp_serialization)
 
-find_package(Boost REQUIRED COMPONENTS filesystem python)
-find_package(PythonLibs 2.7 REQUIRED)
+find_package(PythonLibs REQUIRED)
+if(PYTHONLIBS_VERSION_STRING VERSION_LESS 3)
+  find_package(Boost REQUIRED COMPONENTS filesystem python)
+else()
+  find_package(Boost REQUIRED COMPONENTS filesystem python3)
+endif()
 include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})
 
 catkin_python_setup()
@@ -41,7 +45,7 @@
   src/parse_wrapper.cpp)
 
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${YAML_CPP_LIBRARIES} ${Boost_FILESYSTEM_LIBRARY})
-target_link_libraries(${PROJECT_NAME}_wrapper ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_PYTHON_LIBRARY} ${PYTHON_LIBRARIES})
+target_link_libraries(${PROJECT_NAME}_wrapper ${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
 
 # Don't prepend wrapper library name with lib and add to Python libs.
 set_target_properties(${PROJECT_NAME}_wrapper PROPERTIES
