=== image_common/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(image_common)
find_package(catkin REQUIRED)
catkin_metapackage()
