=== debian/changelog ===
ros-image-common (1.11.13-3) unstable; urgency=medium

  * Depend on libyaml-cpp-dev instead of libyaml0.3-cpp-dev which is now
    obsolete (Closes: #918161).

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 03 Jan 2019 16:43:41 -0600

ros-image-common (1.11.13-2) unstable; urgency=medium

  * Add Python 3 package
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Nov 2018 16:23:10 +0100

ros-image-common (1.11.13-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version 1.11.13
  * Rebase patch
  * Fix description-contains-invalid-control-statement
  * Bump policy version (no changes)
  * cleanup rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Oct 2018 22:24:48 +0100
