=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, libsensor-msgs-dev, ros-sensor-msgs, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp0.3-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, ros-std-msgs, librostest-dev, python-all, dh-python
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), catkin, libsensor-msgs-dev, ros-sensor-msgs, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, ros-std-msgs, librostest-dev, python-all, dh-python, python3-all,
+Standards-Version: 4.2.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/image_common
@@ -26,8 +26,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: Robot OS camera_calibration_parsers package
- This package is part of Robot OS (ROS). The package provides 
- the library with routines for reading and writing camera 
+ This package is part of Robot OS (ROS). The package provides
+ the library with routines for reading and writing camera
  calibration parameters.
 
 Package: camera-calibration-parsers-tools
@@ -36,18 +36,28 @@
 Description: Robot OS camera_calibration_parsers_tools package
  This package is part of Robot OS (ROS). It provides tools for
  reading and writing camera calibration parameters.
-  .
+ .
  They are executables that use libcamera-calibration-parsers.
 
 Package: python-camera-calibration-parsers
 Section: python
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-sensor-msgs
-Description: Robot OS camera_calibration_parsers Python package
+Description: Robot OS camera_calibration_parsers Python 2 package
  This package is part of Robot OS (ROS). It provides routines for
  reading and writing camera calibration parameters.
  .
- This package contains the Python wrapper.
+ This package contains the Python 2 wrapper.
+
+Package: python3-camera-calibration-parsers
+Section: python
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-sensor-msgs
+Description: Robot OS camera_calibration_parsers Python 3 package
+ This package is part of Robot OS (ROS). It provides routines for
+ reading and writing camera calibration parameters.
+ .
+ This package contains the Python 3 wrapper.
 
 Package: libcamera-info-manager-dev
 Section: libdevel
@@ -127,22 +137,36 @@
 
 Package: polled-camera-tool
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, 
+Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: Robot OS polled_camera package tool
  This package is part of Robot OS (ROS). It contains an executable
- implementing a polled camera driver node and to request images from it. 
- The package is currently for internal use as the API is still under 
+ implementing a polled camera driver node and to request images from it.
+ The package is currently for internal use as the API is still under
  development.
 
 Package: python-polled-camera
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
-Description: Robot OS polled_camera package - Python
+Description: Robot OS polled_camera package - Python 2
  This package is part of Robot OS (ROS). It contains a Python package
  for implementing a polled camera driver node and requesting images
  from it. The package is currently for internal use as the API is
  still under development.
+ .
+ This package contains the Python 2 modules.
+
+Package: python3-polled-camera
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
+Description: Robot OS polled_camera package - Python 3
+ This package is part of Robot OS (ROS). It contains a Python package
+ for implementing a polled camera driver node and requesting images
+ from it. The package is currently for internal use as the API is
+ still under development.
+ .
+ This package contains the Python 3 modules.
 
 Package: cl-polled-camera
 Section: lisp
