=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-image-common-$1.tar.gz%" \
    https://github.com/ros-perception/image_common/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
