=== debian/changelog ===
ros-image-common (1.12.0-9build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:52:46 +0000

ros-image-common (1.12.0-9build3) jammy; urgency=medium

  * Rebuild against new libyaml-cpp0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Dec 2021 09:50:39 +0100

ros-image-common (1.12.0-9build2) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 19:18:42 +0000

ros-image-common (1.12.0-9build1) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 17:30:59 +0000

ros-image-common (1.12.0-9) unstable; urgency=medium

  * Fix test logic

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 00:20:41 +0200

ros-image-common (1.12.0-8) unstable; urgency=medium

  * Ignore failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 23:49:19 +0200

ros-image-common (1.12.0-7) unstable; urgency=medium

  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 22:41:11 +0200

ros-image-common (1.12.0-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:32 +0200

ros-image-common (1.12.0-5) experimental; urgency=medium

  * Team upload.
  * Do not install ROS package manifest twice (Closes: #994878)

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 15:38:35 +0200

ros-image-common (1.12.0-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 18:54:20 +0200

ros-image-common (1.12.0-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:02:26 +0100

ros-image-common (1.12.0-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Dec 2020 14:11:38 +0100

ros-image-common (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jun 2020 12:24:18 +0200

ros-image-common (1.11.13-8) unstable; urgency=medium

  * Fix boost python version string (Closes: #962287)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Jun 2020 18:48:45 +0200

ros-image-common (1.11.13-7) unstable; urgency=medium

  * Add missing build dependency
  * Support multiple Python version
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Apr 2020 16:32:36 +0200

ros-image-common (1.11.13-6) unstable; urgency=medium

  * Add patch for cmake python module
  * Drop ROS_PYTHON_VERSION from d/rules (not needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Dec 2019 11:07:13 +0100

ros-image-common (1.11.13-5) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938381)
  * Bump policy version (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 06:55:48 +0200

ros-image-common (1.11.13-4) unstable; urgency=medium

  * Limit d/watch to ROS1
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Aug 2019 12:55:07 +0200
