=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ros-image-common
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 11), catkin, libsensor-msgs-dev, ros-sensor-msgs, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, ros-std-msgs, librostest-dev, python-all, dh-python, python3-all,
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libsensor-msgs-dev, ros-sensor-msgs, librosconsole-dev, libboost-filesystem-dev, libboost-python-dev, libyaml-cpp-dev, libroscpp-dev, libmessage-filters-dev, pluginlib-dev, libroslib-dev, ros-message-generation, libstd-msgs-dev, ros-std-msgs, librostest-dev, python3-all, dh-sequence-python3, libpython3-all-dev, libgtest-dev, python3-nose <!nocheck>, python3-rostest <!nocheck>, python3-sensor-msgs <!nocheck>, rosbash <!nocheck>, rospack-tools <!nocheck>
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/image_common
@@ -38,16 +38,6 @@
  reading and writing camera calibration parameters.
  .
  They are executables that use libcamera-calibration-parsers.
-
-Package: python-camera-calibration-parsers
-Section: python
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-sensor-msgs
-Description: Robot OS camera_calibration_parsers Python 2 package
- This package is part of Robot OS (ROS). It provides routines for
- reading and writing camera calibration parameters.
- .
- This package contains the Python 2 wrapper.
 
 Package: python3-camera-calibration-parsers
 Section: python
@@ -144,18 +134,6 @@
  The package is currently for internal use as the API is still under
  development.
 
-Package: python-polled-camera
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
-Description: Robot OS polled_camera package - Python 2
- This package is part of Robot OS (ROS). It contains a Python package
- for implementing a polled camera driver node and requesting images
- from it. The package is currently for internal use as the API is
- still under development.
- .
- This package contains the Python 2 modules.
-
 Package: python3-polled-camera
 Section: python
 Architecture: all
